Package org.eclipse.net4j.util.ui.container

## Class ElementWizardComposite

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Scrollable
      - - org.eclipse.swt.widgets.Composite
        - - org.eclipse.net4j.util.ui.container.ElementWizardComposite

- All Implemented Interfaces:
    `java.util.EventListener`, `IListener`, `Drawable`
  Direct Known Subclasses:
    `ElementWizardComposite.WithCombo`, `ElementWizardComposite.WithRadios`

      public abstract class ElementWizardComposite
      extends Composite
      implements IListener

  Since:
    3.1
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ElementWizardComposite.WithCombo` |
    `static class` | `ElementWizardComposite.WithRadios` |

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.swt.widgets.Control

      `handle`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ElementWizardComposite​(Composite parent, int style, java.lang.String productGroup, java.lang.String label)` |
    `ElementWizardComposite​(Composite parent, int style, java.lang.String productGroup, java.lang.String label, ValidationContext validationContext)` |
    `ElementWizardComposite​(Composite parent, int style, java.lang.String productGroup, java.lang.String label, ValidationContext validationContext, java.lang.String defaultFactoryType)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `create()` |
    `protected abstract void` | `createFactoryTypeControl()` |
    `protected void` | `factoryTypeChanged()` |
    `protected IManagedContainer` | `getContainer()` |
    `java.lang.String` | `getDefaultDescription​(java.lang.String factoryType)` | Can be overridden by subclasses.
    `java.lang.String` | `getDefaultFactoryType()` |
    `java.lang.String` | `getDescription()` |
    `abstract java.lang.String` | `getFactoryType()` |
    `protected java.util.List<java.lang.String>` | `getFactoryTypes()` |
    `java.lang.String` | `getLabel()` |
    `INotifier` | `getNotifier()` |
    `java.lang.String` | `getProductGroup()` |
    `protected void` | `harvestControls​(IElementWizard wizard)` |
    `protected void` | `init()` |
    `void` | `layout()` |
    `void` | `notifyEvent​(IEvent event)` |
    `void` | `setDefaultDescription​(java.lang.String factoryType, java.lang.String value)` | Deprecated. Override `getDefaultDescription(String)` instead.
    `protected abstract void` | `setFactoryType​(java.lang.String factoryType)` |
    `void` | `setValidationContext​(ValidationContext validationContext)` |

    - ### Methods inherited from class org.eclipse.swt.widgets.Composite

      `changed, checkSubclass, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

    - ### Methods inherited from class org.eclipse.swt.widgets.Scrollable

      `computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

    - ### Methods inherited from class org.eclipse.swt.widgets.Control

      `addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

    - ### Methods inherited from class org.eclipse.swt.widgets.Widget

      `addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.swt.graphics.Drawable

      `isAutoScalable`

- - ### Constructor Detail

    - #### ElementWizardComposite

          public ElementWizardComposite​(Composite parent,
                                        int style,
                                        java.lang.String productGroup,
                                        java.lang.String label)

    - #### ElementWizardComposite

          public ElementWizardComposite​(Composite parent,
                                        int style,
                                        java.lang.String productGroup,
                                        java.lang.String label,
                                        ValidationContext validationContext)

      Since:
        3.2

    - #### ElementWizardComposite

          public ElementWizardComposite​(Composite parent,
                                        int style,
                                        java.lang.String productGroup,
                                        java.lang.String label,
                                        ValidationContext validationContext,
                                        java.lang.String defaultFactoryType)

      Since:
        3.2

  - ### Method Detail

    - #### getProductGroup

          public java.lang.String getProductGroup()

    - #### getLabel

          public java.lang.String getLabel()

    - #### setValidationContext

          public void setValidationContext​(ValidationContext validationContext)

    - #### getDefaultFactoryType

          public java.lang.String getDefaultFactoryType()

      Since:
        3.2

    - #### getDefaultDescription

          public java.lang.String getDefaultDescription​(java.lang.String factoryType)

      Can be overridden by subclasses.

    - #### setDefaultDescription

          @Deprecated
          public void setDefaultDescription​(java.lang.String factoryType,
                                            java.lang.String value)

      Deprecated.
      Override `getDefaultDescription(String)` instead.

    - #### init

          protected void init()

    - #### notifyEvent

          public void notifyEvent​(IEvent event)

      Specified by:
        `notifyEvent` in interface `IListener`
      Since:
        3.2

    - #### getFactoryTypes

          protected java.util.List<java.lang.String> getFactoryTypes()

    - #### create

          protected void create()

    - #### factoryTypeChanged

          protected void factoryTypeChanged()

    - #### layout

          public void layout()

      Overrides:
        `layout` in class `Composite`

    - #### harvestControls

          protected void harvestControls​(IElementWizard wizard)

    - #### getContainer

          protected IManagedContainer getContainer()

    - #### getNotifier

          public final INotifier getNotifier()

      Since:
        3.2

    - #### getDescription

          public java.lang.String getDescription()

    - #### getFactoryType

          public abstract java.lang.String getFactoryType()

    - #### setFactoryType

          protected abstract void setFactoryType​(java.lang.String factoryType)

    - #### createFactoryTypeControl

          protected abstract void createFactoryTypeControl()